Bug 1466068 - Navigation accordion on Cloud->Instances page fails
Navigation accordion on Cloud->Instances page fails
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.9.0
Assigned To: Aparna Karve
Matouš Mojžíš
ui:cloud
: Regression, TestOnly, ZStream
Depends On:
Blocks: 1468292
  Show dependency treegraph
 
Reported: 2017-06-28 19:28 EDT by Mike Shriver
Modified: 2017-07-06 11:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1468292 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Mike Shriver 2017-06-28 19:28:25 EDT
Description of problem:
Multiple CFME QE members have reproduced on FF 54 and Chrome 59

After viewing and instance's details, navigating back to the 'All Instances' view via the accordion menu does not work. The content pane continues to display the instance details page.

There are 503 responses in the browser console for the /ws/notification endpoint, but they start as soon as a user is logged in and do not appear to be triggered by the failing navigation


Version-Release number of selected component (if applicable):
5.8.1

How reproducible:
100%, you can only navigate to 'All Instances' using the accordion once. Clearing browser cookies allows it to work only once before stopping again.


Steps to Reproduce:
1. Navigate to Cloud->Instances
2. Select Instances -> All Instances in accordion
3. Click a quad to go to an instance details page
4. Navigate to Cloud->Instances via vertical navigation
5. Navigation landed on instance details page (expected)
6. [FAIL] Click Instances -> All Instances in accordion

Actual results:
On step 6 above, the view stays on instance details/summary

Expected results:
On step 6 above, redirection to the 'All Instances' view

Additional info:
Comment 5 Mike Shriver 2017-07-05 13:53:19 EDT
lgalis, akarve, hkataria,

I have found the same behavior is present in the Infrastructure->Datastore page as well. After viewing a specific datastore summary page, I am unable to navigate back to 'All' datastores view.
Comment 6 Mike Shriver 2017-07-05 13:54:23 EDT
Aparna,

Would you like me to open a separate bug against the Infrastructure->Datastore page, or is this the same fix?

Note You need to log in before you can comment on or make changes to this bug.